<?php
$bosa_garden_care_page_one 	= get_theme_mod( 'bosa_garden_care_gardening_services_page_one', '' );
$bosa_garden_care_page_two 	= get_theme_mod( 'bosa_garden_care_gardening_services_page_two', '' );
$bosa_garden_care_page_three	= get_theme_mod( 'bosa_garden_care_gardening_services_page_three', '' );
$bosa_garden_care_page_four	= get_theme_mod( 'bosa_garden_care_gardening_services_page_four', '' );
$bosa_garden_care_page_five	= get_theme_mod( 'bosa_garden_care_gardening_services_page_five', '' );
$bosa_garden_care_page_six	= get_theme_mod( 'bosa_garden_care_gardening_services_page_six', '' );

$bosa_garden_care_page_array = array();
$bosa_garden_care_has_page = false;
if( !empty( $bosa_garden_care_page_one ) ){
	$bosa_garden_care_has_page = true;
	$bosa_garden_care_page_array['page_one'] = array(
		'ID' => $bosa_garden_care_page_one,
	);
}
if( !empty( $bosa_garden_care_page_two ) ){
	$bosa_garden_care_has_page = true;
	$bosa_garden_care_page_array['page_two'] = array(
		'ID' => $bosa_garden_care_page_two,
	);
}
if( !empty( $bosa_garden_care_page_three ) ){
	$bosa_garden_care_has_page = true;
	$bosa_garden_care_page_array['page_three'] = array(
		'ID' => $bosa_garden_care_page_three,
	);
}
if( !empty( $bosa_garden_care_page_four ) ){
	$bosa_garden_care_has_page = true;
	$bosa_garden_care_page_array['page_four'] = array(
		'ID' => $bosa_garden_care_page_four,
	);
}
if( !empty( $bosa_garden_care_page_five ) ){
	$bosa_garden_care_has_page = true;
	$bosa_garden_care_page_array['page_five'] = array(
		'ID' => $bosa_garden_care_page_five,
	);
}
if( !empty( $bosa_garden_care_page_six ) ){
	$bosa_garden_care_has_page = true;
	$bosa_garden_care_page_array['page_six'] = array(
		'ID' => $bosa_garden_care_page_six,
	);
}

if( !get_theme_mod( 'bosa_garden_care_disable_gardening_services_section', true ) && $bosa_garden_care_has_page ){ ?>
	<section class="section-gardening-services-area">
			<?php foreach( $bosa_garden_care_page_array as $bosa_garden_care_each_page ){ ?>
				<article class="gardening-services-content-wrap">
					<figure class="featured-image">
						<?php echo get_the_post_thumbnail( $bosa_garden_care_each_page[ 'ID' ], 'bosa-garden-care-590-310' ); ?>
					</figure>
					
					<div class="entry-content">
						<h3 class="entry-title">
							<a href="<?php echo esc_url( get_permalink( $bosa_garden_care_each_page[ 'ID' ] ) ); ?>">
								<?php echo esc_html( get_the_title( $bosa_garden_care_each_page[ 'ID' ] ) ); ?>
							</a>
						</h3>
						<p class="entry-text">
							<?php 
							$bosa_garden_care_excerpt = get_the_excerpt( $bosa_garden_care_each_page[ 'ID' ] );
							$bosa_garden_care_result  = wp_trim_words( $bosa_garden_care_excerpt, 15, '' );
							echo esc_html( $bosa_garden_care_result );
							?>
						</p>
						<a href="<?php echo esc_url( get_permalink( $bosa_garden_care_each_page[ 'ID' ] ) ); ?>" class="entry-button-text">
							<?php echo esc_html__( 'Continue reading...', 'bosa-garden-care' ); ?>
						</a>
					</div>
				</article>
			<?php } ?>
	</section>
<?php } 